Instalação do Google Chrome no Debian Squeeze

Publicado por edps em 24/11/2011

[ Hits: 62.621 ]

Blog: https://edpsblog.wordpress.com/

 


Instalação do Google Chrome no Debian Squeeze



Todos devem ter conhecimento que o navegador Open Source Chromium faz parte dos repositórios Debian.

Hoje as versões disponíveis são as seguintes:
Até certo tempo atrás eu vinha utilizando o pacote do Debian Wheezy no Squeeze sem problemas, mas nesta minha atual instalação, ao tentar fazê-lo levei um susto: 400MB de pacotes necessários para a sua instalação! Isso graças ao advento do Gnome3 no Wheezy:

Por hora deixei-o de lado e fui a caça do Google Chrome.

Veremos agora duas formas de instalação do Chrome no Debian. A primeira delas instalando diretamente:

wget -c -T0 https://dl.google.com/linux/direct/google-chrome-stable_current_i386.deb
$ sudo dpkg -i google-chrome-stable_current_i386.deb


Obs.: Nas linhas acima troque 'i386' por 'amd64' se for este o caso.

Quanta diferença minha gente, apenas 27MB de um único pacote foi necessário!

Na segunda demonstração, utilizaremos o repositório do Chrome no 'sources.list'; o que é bem mais vantajoso, já que durante um upgrade em seu Debian, seu navegador também será atualizado caso haja atualização para ele.

Para começar adicionamos as entradas a seguir no 'sources.list':

# Google Chrome.
# Chave GPG: wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
deb http://dl.google.com/linux/deb/ stable non-free main

Importamos a chave GPG, atualizamos as listas de pacotes e instalamos assim:

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
$ sudo apt-get update
$ sudo apt-get install google-chrome-stable


Obs.: Que nada mais é que a mesma versão que instalei diretamente na 1ª demonstração.

Como opção, pode-se instalar no lugar do '-stable', as versões beta ou '-unstable':

sudo apt-get install google-chrome-beta

Ou:

sudo apt-get install google-chrome-unstable

As imagens de todo o processo encontram-se na dica previamente publicada em meu Blog:
Outras dicas deste autor

Fontes para Conky

FlashPlayer no Ubuntu

MOC (Music On Console)

Configuração de Servidor Debian Squeeze

Escolhendo os melhores mirrors pro seu Arch Linux

Leitura recomendada

Esconder barra de título do Firefox no GNOME Shell

Gerando arquivos MPEG no Kino para criar DVD

Cursos gratuitos de software livre

IV Ciclo de Palestras sobre Software Livre CIRP - USP (arquivos e áudio do evento)

Slackware - Ajuste de brilho em notebook

  

Comentários
[1] Comentário enviado por pinduvoz em 25/11/2011 - 01:42h

Se vc instalar o Chrome diretamente pelo pacote .deb o repositório do Google será acrescentado em /etc/apt/sources.list.d/. Vc não precisa se preocupar com a chave, pois ela também será instalada.

Portanto, o resultado final será o mesmo independente do método que vc sugere, sendo o método direto, pelo .deb, muito mais fácil para iniciantes.

[2] Comentário enviado por pinduvoz em 25/11/2011 - 01:46h

Veja aqui:

andre@cce-nobo-i3:~$ cat /etc/apt/sources.list.d/google-chrome.list
### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb http://dl.google.com/linux/chrome/deb/ stable main
andre@cce-nobo-i3:~$

(o cat foi dado no Ubuntu, onde também instalei pelo .deb, sendo o que interessa a afirmação de que o arquivo foi configurado automaticamente).

E para se livrar de erros vc terá que usar a dica:

http://vivaolinux.com.br/dica/Resolvendo-de-vez-os-erros-envolvendo-arquivos-.save-em-etc-apt-source...

[3] Comentário enviado por removido em 25/11/2011 - 14:44h

Thanks @pinduvoz pelo excelente comentário.

desse detalhe eu sei, o fato é que não gosto de colocar quaisquer repositórios em /etc/apt/sources.list.d, fato esse que estando adicionado no sources.list e incluído nesse dretório levará aquelas mensagens de listas duplicadas. Os erros de .save só ocorrem no Ubuntu e em seus derivados pelo que sei.

a única distro que utilizei e que me acostumei a lidar com o /etc/apt/sources.list.d foi o sidux|aptosid.

[]'s

[4] Comentário enviado por pinduvoz em 25/11/2011 - 15:23h

Aqui, no meu Squeeze "estável pra valer" (não instalei nada do testing ou do unstable porque estou numa fase, digamos, "comedida") tive os erros de .save e resolvi com

$ echo "Dir::Ignore-Files-Silently:: \"(.save|.distUpgrade)$\";" | sudo tee /etc/apt/apt.conf.d/99ignoresave

O único repo que tenho em "sources.list.d" é o do Google, consequência da instalação direta pelo .deb baixado (instalação totalmente via "mouse", pois baixei o .deb pelo Iceweasel e instalei pelo GDebi).

Abraço retornado.

[5] Comentário enviado por removido em 25/11/2011 - 15:40h

no meu Squeeze 'não tão estável' quanto o seu, reencontrei uma antiga solução para o caso do Chromium ( da época do meu artigo sobre as PPAS), a PPA do Ubuntu Lucid para o Chromium Daily-Build:

### Chromium Browser.
### GPG Key: sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com --recv-keys 4E5E17B5
deb http://ppa.launchpad.net/chromium-daily/ppa/ubuntu lucid main


~/Desktop$ sudo apt-get install chromium-browser -s
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes extra a seguir serão instalados:
chromium-browser-l10n chromium-codecs-ffmpeg
Os NOVOS pacotes a seguir serão instalados:
chromium-browser chromium-browser-l10n chromium-codecs-ffmpeg
0 pacotes atualizados, 3 pacotes novos instalados, 0 a serem removidos e 15 não atualizados.
Inst chromium-codecs-ffmpeg (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [i386]) []
Inst chromium-browser (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [i386])
Inst chromium-browser-l10n (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [all])
Conf chromium-browser (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [i386])
Conf chromium-codecs-ffmpeg (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [i386])
Conf chromium-browser-l10n (17.0.948.0~svn20111123r111321-0ubuntu1~ucd1~lucid Chromium - Daily Builds:10.04/lucid [all])
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
~/Desktop$


Estou baixando o CD alternate do Ubuntu mais recente para testá-lo.

[6] Comentário enviado por pinduvoz em 25/11/2011 - 20:08h

Falando em Ubuntu mais novo...

meu Ubuntu 11.10 "bugou" a atualização para o Kernel 3.0.0-13 (estou com o 3.0.0-12).

Tive que remover o novo Kernel editando o /var/lib/dpkg/status e apagando os arquivos.

Já tentei "n" vezes fazer essa atualização (limpo o cache e baixo um pacote novo a cada vez) e o resultado é sempre o mesmo: acabo com o novo kernel "parcialmente" instalado e "irremovível" pelos meios normais.

[7] Comentário enviado por removido em 25/11/2011 - 20:18h

Rapaz você acabou de me desanimar, ainda estou na metade do download por torrent e confesso que estou mais tentado a utilizar o novo Mint ou o Fedora, mas por enquanto acho que vou cancelar esse download e botar o Lucid na minha 3ª partição.

[8] Comentário enviado por pinduvoz em 25/11/2011 - 20:45h

Não precisa cancelar. Basta esperar que um pacote sem erros do novo Kernel seja lançado, como eu estou fazendo.

[9] Comentário enviado por mbrainiac em 03/07/2012 - 08:45h

Olá Ednaldo, beleza?

Cara até uns tempos atrás o chrome entrava bem sem dificuldades mas agora emperra aparece a bolinha do logo do chrome, abre aba na barra de ferramentas mas apaga.

Uso Debian Squeeze KDE

Agradeço desde já qualquer ajuda

[10] Comentário enviado por removido em 03/07/2012 - 18:17h

Vou responder em seu post:

http://www.vivaolinux.com.br/topico/Navegadores/Google-chrome-derrepente-nao-abre-mais?

[11] Comentário enviado por vanildopedro em 12/04/2013 - 04:53h

Seguindo os passos da primeira dica,

$ wget -c -T0 https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
$ sudo dpkg -i google-chrome-stable_current_amd64.deb

na primeira linha de comando core tudo bem, mais quando coloco a segunda linha retorna isso" is not in the sudoers file. This incident will be reported. "

Alguem ajuda ai?

[12] Comentário enviado por pinduvoz em 12/04/2013 - 09:02h

Se vc nao configurou o sudo no seu Debian, nao vai poder usa-lo.
Use assim:
su
(senha do root)
dpkg -i pacote.deb

[13] Comentário enviado por removido em 10/06/2013 - 22:58h

Atualização de dica:

http://gnutwoall.wordpress.com/2013/06/10/google-chrome-e-chromium-no-debian-e-derivados/



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts